# Query Quote

### **Request** URL <a href="#payin-by-creditcard" id="payin-by-creditcard"></a>

`POST` `/remittance/exchange/query-quote`

### **Request Body**

&#x20;**Refer to :** [**common**](/remittance-api/common.md)

&#x20;**Biz\_data**&#x20;

<table><thead><tr><th width="325">Name</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>merchant_id<mark style="color:red;">*</mark></td><td>long</td><td>Merchant id</td></tr><tr><td>sell_currency<mark style="color:red;">*</mark></td><td>string</td><td>Sell Currency</td></tr><tr><td>buy_currency<mark style="color:red;">*</mark></td><td>string</td><td> Buy Currency</td></tr><tr><td>fixed_side</td><td>string</td><td><p>Fixed side,</p><p>Refer to <a href="/pages/KWTOgxW4eK3G0xiDj2ih">Fixed Side</a> Default value: SELL</p></td></tr><tr><td>tx_amount</td><td>string</td><td>Transaction amount</td></tr><tr><td>is_for_trading</td><td>boolean</td><td><p>Default: false</p><p>Set is_for_trading to true if you are using the quote for trading</p></td></tr></tbody></table>

{% hint style="info" %}

{% endhint %}

### Response <a href="#example" id="example"></a>

{% tabs %}
{% tab title="200:submit successfully" %}

```
{
    "code": "10000",
    "msg": "Success",
    "data":{
    },
    "random_key":"abssdddd2wdw==",
    "sign_type": "RSA",
    "app_id": "2017051914172236111"
}
```

{% endtab %}

{% tab title="400: invalid-signature" %}

```
{
    "code": "40002",
    "msg": "Business Failed",
    "sub_code": "invalid-signature",
    "sub_msg": "invalid signature"
}
```

{% endtab %}
{% endtabs %}

| Name                                               | Type    | Description                                                                          |
| -------------------------------------------------- | ------- | ------------------------------------------------------------------------------------ |
| merchant\_id<mark style="color:red;">\*</mark>     | long    | Merchant Id                                                                          |
| quote\_id                                          | long    | Quote Id                                                                             |
| sell\_currency<mark style="color:red;">\*</mark>   | string  | Sell Currency                                                                        |
| buy\_currency<mark style="color:red;">\*</mark>    | string  | Buy Currency                                                                         |
| conversion\_rate<mark style="color:red;">\*</mark> | string  | Conversion rate                                                                      |
| sell\_amount<mark style="color:red;">\*</mark>     | string  | Sell Amount                                                                          |
| buy\_amount<mark style="color:red;">\*</mark>      | string  | Buy Amount                                                                           |
| fixed\_side<mark style="color:red;">\*</mark>      | string  | <p>Fixed side</p><p>Refer to <a href="/pages/KWTOgxW4eK3G0xiDj2ih">FixedSide</a></p> |
| is\_for\_trading                                   | boolean | Is For Trading                                                                       |
| expired\_at                                        | long    | <p>Expired At</p><p>Timestamp</p>                                                    |

### Example <a href="#example" id="example"></a>

```
curl --location --request POST 'https://rem-api-sandbox.pagsmile.com/remittance/exchange/query-quote' \
--header 'Content-Type: application/json' \
--data-raw '
{
    "partner_id": "000000000000001",
    "app_id": "162051914172236138",
    "timestamp": "2011-09-23 04:24:03",
    "format": "JSON",
    "version": "2.0",
    "random_key": "jJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8lENHnboElE",
    "request_id": "F6bEd39c-EecF-C1a2-AFcb-bA9BAeC8",
    "sign_type": "RSA",
    "biz_data": "jJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8lENHnboElEjJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8lENHnboElE"
}'
```

```
```

Note: **162\*\*\*\*\*\*\*\*\*\*\*\*38** is pagsmile's test app id for sandbox

Please use your own **app\_id** when testing.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pagsmile.com/remittance-api/business/exchange/query-quote.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
